Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.vocabulary
Class OWLVocabularyAdapter

    java.lang.Object
      |
      +--org.semanticweb.owl.io.vocabulary.VocabularyAdapter
            |
            +--org.semanticweb.owl.io.vocabulary.RDFVocabularyAdapter
                  |
                  +--org.semanticweb.owl.io.vocabulary.RDFSVocabularyAdapter
                        |
                        +--org.semanticweb.owl.io.vocabulary.OWLVocabularyAdapter

public class OWLVocabularyAdapter
extends RDFSVocabularyAdapter

Vocabulary of the OWL specification as of 03/02/03.

Since:
  04.02.2003

Field Summary
`static OWLVocabularyAdapter` | `INSTANCE`
`static String` | `OWL` Namespace for OWL.

Fields inherited from class org.semanticweb.owl.io.vocabulary.RDFSVocabularyAdapter
`RDFS`

Fields inherited from class org.semanticweb.owl.io.vocabulary.RDFVocabularyAdapter
`RDF`

Constructor Summary
`OWLVocabularyAdapter()`

Method Summary
`String` | `getAllDifferent()`
`String` | `getAllValuesFrom()`
`Set` | `getAnnotationProperties()`
`String` | `getAnnotationProperty()`
`String` | `getBackwardCompatibleWith()`
`String` | `getCardinality()`
`String` | `getClass_()` Returns the name of the 'Concept' resource.
`String` | `getComplementOf()`
`String` | `getDataRange()`
`String` | `getDatatypeProperty()`
`String` | `getDeprecatedClass()`
`String` | `getDeprecatedProperty()`
`String` | `getDifferentFrom()`
`String` | `getDisjointWith()`
`String` | `getDistinctMembers()`
`String` | `getEquivalentClass()`
`String` | `getEquivalentProperty()`
`String` | `getFunctionalProperty()`
`String` | `getHasValue()`
`String` | `getImports()`
`String` | `getIncompatibleWith()`
`String` | `getIntersectionOf()`
`String` | `getInverseFunctionalProperty()`
`String` | `getInverseOf()`
`String` | `getMaxCardinality()`
`String` | `getMinCardinality()`
`String` | `getNothing()`
`String` | `getObjectProperty()`
`String` | `getOneOf()`
`String` | `getOnProperty()`
`String` | `getOntology()`
`Set` | `getOntologyProperties()`
`String` | `getPriorVersion()`
`Set` | `getReservedVocabulary()`
`String` | `getRestriction()`
`String` | `getRoot()`
`String` | `getSameAs()`
`String` | `getSameIndividualAs()`
`String` | `getSomeValuesFrom()`
`String` | `getSymmetricProperty()`
`String` | `getThing()`
`String` | `getTransitive()`
`String` | `getUnionOf()`
`String` | `getVersionInfo()`
`static void` | `main(String[] args)`

Methods inherited from class org.semanticweb.owl.io.vocabulary.RDFSVocabularyAdapter
`getComment, getConstraintResource, getContraintProperty, getDatatype, getDomain, getIsDefinedBy, getLabel, getLiteral, getRange, getResource, getSeeAlso, getSubClassOf, getSubPropertyOf`

Methods inherited from class org.semanticweb.owl.io.vocabulary.RDFVocabularyAdapter
`getAlt, getBag, getInstanceOf, getNil, getProperty, getSeq, getStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final OWLVocabularyAdapter INSTANCE

### OWL

    public static final String OWL

  Namespace for OWL.

  See Also:
    Constant Field Values

Constructor Detail

### OWLVocabularyAdapter

    public OWLVocabularyAdapter()

Method Detail

### getAllDifferent

    public String getAllDifferent()

### getAnnotationProperty

    public String getAnnotationProperty()

### getClass_

    public String getClass_()

  Description copied from class: `RDFSVocabularyAdapter`
  Returns the name of the 'Concept' resource.

  Overrides:
    `getClass_` in class `RDFSVocabularyAdapter`

### getDatatypeProperty

    public String getDatatypeProperty()

### getDataRange

    public String getDataRange()

### getDeprecatedClass

    public String getDeprecatedClass()

### getDeprecatedProperty

    public String getDeprecatedProperty()

### getFunctionalProperty

    public String getFunctionalProperty()

### getInverseFunctionalProperty

    public String getInverseFunctionalProperty()

### getNothing

    public String getNothing()

### getObjectProperty

    public String getObjectProperty()

### getOntology

    public String getOntology()

### getRestriction

    public String getRestriction()

### getSymmetricProperty

    public String getSymmetricProperty()

### getRoot

    public String getRoot()

### getThing

    public String getThing()

### getAllValuesFrom

    public String getAllValuesFrom()

### getBackwardCompatibleWith

    public String getBackwardCompatibleWith()

### getCardinality

    public String getCardinality()

### getComplementOf

    public String getComplementOf()

### getDifferentFrom

    public String getDifferentFrom()

### getDisjointWith

    public String getDisjointWith()

### getDistinctMembers

    public String getDistinctMembers()

### getHasValue

    public String getHasValue()

### getImports

    public String getImports()

### getIncompatibleWith

    public String getIncompatibleWith()

### getIntersectionOf

    public String getIntersectionOf()

### getInverseOf

    public String getInverseOf()

### getMaxCardinality

    public String getMaxCardinality()

### getMinCardinality

    public String getMinCardinality()

### getOneOf

    public String getOneOf()

### getOnProperty

    public String getOnProperty()

### getPriorVersion

    public String getPriorVersion()

### getSameAs

    public String getSameAs()

### getEquivalentClass

    public String getEquivalentClass()

### getSameIndividualAs

    public String getSameIndividualAs()

### getEquivalentProperty

    public String getEquivalentProperty()

### getSomeValuesFrom

    public String getSomeValuesFrom()

### getTransitive

    public String getTransitive()

### getUnionOf

    public String getUnionOf()

### getVersionInfo

    public String getVersionInfo()

### getReservedVocabulary

    public Set getReservedVocabulary()

### getAnnotationProperties

    public Set getAnnotationProperties()

### getOntologyProperties

    public Set getOntologyProperties()

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb